Remove *.cz domains from WMF's infrastructure
Closed, ResolvedPublic

Description

Hi,

all *.cz domains related to WMF projects are owned by and managed by Wikimedia Czech Republic (WMCZ). For some time, NSSET for this domain was set to WMF's name servers and handled by WMF's infrastructure. As this made some SSL certificate related problems (T152622), to resolve them, I changed NSSET to WMCZ name servers and changed A/AAAA to WMCZ webserver. Therefore, nothing related to any of those domains should be necessary in WMF's infrastructure. To keep clear configs, they should be purged IMHO.

Best regards,
Martin Urbanec
WMCZ sysadmin

For the record, this is the list of domains owned by WMCZ. All those domains should have non-WMF NSSET and non-WMF webserver.

Domain;Owner;Expires
wikibooks.cz;Wikimedia Česká republika;8/8/2026
wikimedia.cz;Wikimedia Česká republika;26/10/2025
wikimania.cz;Wikimedia Česká republika;20/10/2025
wikimedium.cz;Wikimedia Česká republika;20/10/2025
wikikonference.cz;Wikimedia Česká republika;20/10/2025
wikiakademie.cz;Wikimedia Česká republika;20/10/2025
wikimanie.cz;Wikimedia Česká republika;20/10/2025
wikisource.cz;Wikimedia Česká republika;8/8/2025
wikiverzita.cz;Wikimedia Česká republika;8/8/2025
wikizpravy.cz;Wikimedia Česká republika;8/8/2025
wikicitaty.cz;Wikimedia Česká republika;8/8/2025
wikiversity.cz;Wikimedia Česká republika;8/8/2025
wiktionary.cz;Wikimedia Česká republika;8/8/2025
wikidruhy.cz;Wikimedia Česká republika;8/8/2025
wikiquote.cz;Wikimedia Česká republika;8/8/2025
wikispecies.cz;Wikimedia Česká republika;8/8/2025
wikipedia.cz;Wikimedia Česká republika;18/7/2025
wikipedie.cz;Wikimedia Česká republika;26/6/2025
wikiencyklopedie.cz;Wikimedia Česká republika;14/6/2025
wikinews.cz;Wikimedia Česká republika;14/6/2025
wikiknihy.cz;Wikimedia Česká republika;26/4/2025
wikislovnik.cz;Wikimedia Česká republika;24/4/2025
wikimilujepamatky.cz;Wikimedia Česká republika;27/3/2025
wikizdroje.cz;Wikimedia Česká republika;24/3/2025
wikidata.cz;Wikimedia Česká republika;13/3/2025
wikilovesmonuments.cz;Wikimedia Česká republika;24/2/2025
wikipedista.cz;Wikimedia Česká republika;12/2/2025
Urbanecm created this task.Oct 13 2018, 7:30 PM
Restricted Application added a project: Traffic. · View Herald TranscriptOct 13 2018, 7:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: Operations. · View Herald TranscriptOct 13 2018, 7:30 PM

Change 467087 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Remove *.cz

https://gerrit.wikimedia.org/r/467087

Change 467088 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/puppet@production] Remove *.cz redirects

https://gerrit.wikimedia.org/r/467088

ema moved this task from Triage to DNS Names on the Traffic board.Oct 22 2018, 8:42 AM
jijiki triaged this task as Low priority.Oct 23 2018, 2:51 PM
jijiki added a subscriber: jijiki.
jijiki claimed this task.Oct 23 2018, 2:54 PM
jijiki added a project: User-jijiki.
Dzahn added a subscriber: Dzahn.Oct 26 2018, 7:02 PM

@Urbanecm fyi, i think this one domain is different from the others:

wikizdroje.cz has address 198.35.26.96 (that's WMF)

all others are pointing to 81.95.96.75 (.cz)

Also i was wondering what about mail? It looks like the MX records are pointing to wikimedia.org for all of them.

@Dzahn: Thank you. I simply forgot to update NSSET to the new one. https://www.nic.cz/whois/domain/wikizdroje.cz/ says NSSET was changed, so I guess it should propagate soonly.

Ad mail) It's relict, when changing the NSSET, new DNS pulled DNS records from WMF NSSET. When I updated the IPs to not point to WMF anymore, I simply didn't delete the MX records. Will do it sometime.

urbanecm@notebook ~ 
$ host wikizdroje.cz
wikizdroje.cz has address 81.95.96.75
urbanecm@notebook ~ 
$

Look like it propagated.

urbanecm@notebook ~ 
$ host wikizdroje.cz
wikizdroje.cz has address 81.95.96.75
urbanecm@notebook ~ 
$

Look like it propagated.

Also i was wondering what about mail? It looks like the MX records are pointing to wikimedia.org for all of them.

I created T208122: Remove MX records pointing to mx1001.wikimedia.org or mx2001.wikimedia.org from WMCZ's domains for this.

jijiki moved this task from Backlog to In Progress on the User-jijiki board.Oct 29 2018, 5:14 PM

Change 467087 merged by Effie Mouzeli:
[operations/dns@master] Remove *.cz

https://gerrit.wikimedia.org/r/467087

Mentioned in SAL (#wikimedia-operations) [2018-10-31T19:11:41Z] <jijiki> Disabling puppet on mw hosts for T206923

Mentioned in SAL (#wikimedia-operations) [2018-11-01T17:57:11Z] <jijiki> Disabling puppet on mw servers (T206923)

Change 467088 merged by Effie Mouzeli:
[operations/puppet@production] Remove *.cz redirects

https://gerrit.wikimedia.org/r/467088

Mentioned in SAL (#wikimedia-operations) [2018-11-01T18:25:24Z] <jijiki> Enabling puppet on mw servers (T206923)

jijiki closed this task as Resolved.Nov 1 2018, 6:48 PM